Package ru.bitel.bgbilling.modules.drweb.common.bean

# Class TariffAVD

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.drweb.common.bean.TariffAVD

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffAVD extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffAVD()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateFromView()`
  `Date`
  `getDateFromWork()`
  `Date`
  `getDateToView()`
  `Date`
  `getDateToWork()`
  `String`
  `getGroupForView()`
  `String`
  `getGroupTitle()`
  `int`
  `getNextTariff()`
  `int`
  `getSid()`
  `int`
  `getSidForNew()`
  `boolean`
  `isOnlyForNew()`
  `void`
  `setDateFromView(Date dateFromView)`
  `void`
  `setDateFromWork(Date dateFromWork)`
  `void`
  `setDateToView(Date dateToView)`
  `void`
  `setDateToWork(Date dateToWork)`
  `void`
  `setGroupForView(String groupForView)`
  `void`
  `setGroupTitle(String groupTitle)`
  `void`
  `setNextTariff(int nextTariff)`
  `void`
  `setOnlyForNew(boolean onlyForNew)`
  `void`
  `setSid(int sid)`
  `void`
  `setSidForNew(int sidForNew)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TariffAVD

    public TariffAVD()

- ## Method Details

  - ### getSid

    public int getSid()

  - ### setSid

    public void setSid(int sid)

  - ### getGroupTitle

    public String getGroupTitle()

  - ### setGroupTitle

    public void setGroupTitle(String groupTitle)

  - ### getDateFromView

    public Date getDateFromView()

  - ### setDateFromView

    public void setDateFromView(Date dateFromView)

  - ### getDateToView

    public Date getDateToView()

  - ### setDateToView

    public void setDateToView(Date dateToView)

  - ### getDateFromWork

    public Date getDateFromWork()

  - ### setDateFromWork

    public void setDateFromWork(Date dateFromWork)

  - ### getDateToWork

    public Date getDateToWork()

  - ### setDateToWork

    public void setDateToWork(Date dateToWork)

  - ### getNextTariff

    public int getNextTariff()

  - ### setNextTariff

    public void setNextTariff(int nextTariff)

  - ### getGroupForView

    public String getGroupForView()

  - ### setGroupForView

    public void setGroupForView(String groupForView)

  - ### isOnlyForNew

    public boolean isOnlyForNew()

  - ### setOnlyForNew

    public void setOnlyForNew(boolean onlyForNew)

  - ### getSidForNew

    public int getSidForNew()

  - ### setSidForNew

    public void setSidForNew(int sidForNew)